Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type FileControl.IOOperation

    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public static @interface FileControl.IOOperation

Required Element Summary
`FileControl.FileIOType` | `ioType` This attribute specifies the type of operation.

Optional Element Summary
`boolean` | `delimiterCheckbox`
`String` | `delimiterString`
`String` | `encoding` This option is used to specify the character set encoding for the file.
`String` | `fileContent` This attribute indicates the contents of the identified variable which will be written to the file.
`String` | `recordSize` The record size, a positive integer, is expressed in bytes.

Element Detail

### ioType

    public abstract FileControl.FileIOType ioType

  This attribute specifies the type of operation. The valid values are: read, write, append and readline.

### fileContent

    public abstract String fileContent

  This attribute indicates the contents of the identified variable which will be written to the file.

  Default:
    "Not Specified"

### recordSize

    public abstract String recordSize

  The record size, a positive integer, is expressed in bytes. The record-size attribute is valid for methods with a return type of RawData and String, but not XmlObject. If this attribute is not specified, the default platform-specific line delimiters, such as carriage returns or line feeds, are used.

  Default:
    "Not Specified"

### encoding

    public abstract String encoding

  This option is used to specify the character set encoding for the file. The file type must be String or XMLObject. This option can not be used if large files are being processed.

  Default:
    "Not Specified"

### delimiterString

    public abstract String delimiterString

  Default:
    "Not Specified"

### delimiterCheckbox

    public abstract boolean delimiterCheckbox

  Default:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT